package com.fjhx.victoriatourist.service.jd;

import com.baomidou.dynamic.datasource.annotation.DSTransactional;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.victoriatourist.entity.jd.dto.JdOrderDto;
import com.fjhx.victoriatourist.entity.jd.dto.JdOrderSelectDto;
import com.fjhx.victoriatourist.entity.jd.po.JdOrder;
import com.fjhx.victoriatourist.entity.jd.vo.JdOrderVo;
import com.fjhx.victoriatourist.entity.stock.dto.StockTransferDto;
import com.ruoyi.common.core.service.BaseService;
import org.springframework.web.multipart.MultipartFile;


/**
 * <p>
 * 京东订单 服务类
 * </p>
 *
 * @author
 * @since 2023-04-20
 */
public interface JdOrderService extends BaseService<JdOrder> {

    /**
     * 京东订单分页
     */
    Page<JdOrderVo> getPage(JdOrderSelectDto dto);

    /**
     * 京东订单明细
     */
    JdOrderVo detail(Long id);

    /**
     * 京东订单新增
     */
    void add(JdOrderDto jdOrderDto);

    /**
     * excel导入
     */
    void excelImport(MultipartFile file, Long customerId);

    /**
     * 京东订单出库
     */
    void outbound(JdOrderDto jdOrderDto);

    Page<JdOrderVo> receivePage(JdOrderSelectDto dto);

    void receive(StockTransferDto stockTransferDto);
}
